=== debian/changelog ===
kdevelop (4:5.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Bump kdevplatform-dev build-dependency version.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Jan 2017 16:23:12 -0300

kdevelop (4:5.0.1-3) unstable; urgency=medium

  * Bump llvm and clang build dependencies to 3.9. This avoids a crash when
    users are running video drivers compiled against llvm 3.9. Yes, it's a
    temporal fix only (Closes: #846410).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 16 Dec 2016 09:41:42 -0300
