## kdevelop 5.0.4

=== debian/changelog ===
kdevelop (4:5.0.4-0ubuntu2) zesty; urgency=medium

  [ Philip Muškovac ]
  * Revert the versioned clang dep - We don't have the mesa/llvm-default
    mismatch in ubuntu that caused debian bug #846410, so this only
    causes potential problems for us (LP: #1677140)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 30 Mar 2017 08:55:28 +0100

kdevelop (4:5.0.4-0ubuntu1) zesty; urgency=medium

  * New upstream bugfix release (5.0.4)
  * Sync with Debian. Remaining changes:
    - Breaks/replaces kapptemplate (<<4:15.12.3)
    - Depends on qml modules.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 15 Mar 2017 08:11:32 +0000

kdevelop (4:5.0.3-2) UNRELEASED; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Make kdevelop depend upon kinit, it's required to get KIO support
    (Closes: #851701). Thanks George Kiagiadakis for the bug report.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 18 Jan 2017 17:20:27 -0300

kdevelop (4:5.0.3-0ubuntu1) UNRELEASED; urgency=medium

  [ Clive Johnston ]
  * Porting to KF5
  * New upstream release (5.0)

  [ Ovidiu-Florin Bogdan ]
  * Added build depends for qttools5-dev-tools

  [ Clive Johnston ]
  * New upstream release (5.0.1)
  * Add breaks/replaces kapptemplate (<<4:15.12.3) as upstream moved
    some files from kapptemplate to kdevelop-data package, causing
    conflicts on installation. See kapptemplate git repo, commit #
    7e254781978eac082eb1d566a1c083920b8ea668
  * New upstream release (5.0.2)

  [ Simon Quigley ]
  * New upstream release (5.0.3)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 28 Sep 2016 16:17:12 +0100
