=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kdevelop
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Jeremy Lainé <jeremy.laine@m4x.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
@@ -9,17 +10,15 @@
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
                extra-cmake-modules (>= 0.0.9),
-               qtbase5-dev (>= 5.4.0),
-               qtdeclarative5-dev (>= 5.4.0),
-               qttools5-dev,
-               qttools5-dev-tools,
-               libqt5webkit5-dev (>= 5.4.0),
+               kdevelop-pg-qt (>= 2.0),
+               kdevplatform-dev (>= 5.0.4),
+               libclang-dev,
                libkf5config-dev (>= 5.15.0),
                libkf5crash-dev (>= 5.15.0),
                libkf5declarative-dev (>= 5.15.0),
                libkf5doctools-dev (>= 5.15.0),
+               libkf5i18n-dev (>= 5.15.0),
                libkf5iconthemes-dev (>= 5.15.0),
-               libkf5i18n-dev (>= 5.15.0),
                libkf5itemmodels-dev (>= 5.15.0),
                libkf5itemviews-dev (>= 5.15.0),
                libkf5jobwidgets-dev (>= 5.15.0),
@@ -28,33 +27,40 @@
                libkf5newstuff-dev (>= 5.15.0),
                libkf5notifyconfig-dev (>= 5.15.0),
                libkf5parts-dev (>= 5.15.0),
+               libkf5plasma-dev [linux-any],
+               libkf5runner-dev [linux-any],
                libkf5service-dev (>= 5.15.0),
+               libkf5sysguard-dev,
                libkf5texteditor-dev (>= 5.15.0),
                libkf5threadweaver-dev (>= 5.15.0),
                libkf5windowsystem-dev (>= 5.15.0),
                libkf5xmlgui-dev (>= 5.15.0),
-               kdevelop-pg-qt (>= 2.0),
-               kdevplatform-dev (>= 5.0.3),
+               libqt5webkit5-dev (>= 5.4.0),
+               llvm-dev,
                okteta-dev (>= 4:16.08.0-1~),
-               libkf5sysguard-dev,
-               libkf5plasma-dev [linux-any],
-               libkf5runner-dev [linux-any],
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
-               shared-mime-info,
-               llvm-3.9-dev,
-               libclang-3.9-dev,
+               qtbase5-dev (>= 5.4.0),
+               qtdeclarative5-dev (>= 5.4.0),
+               qttools5-dev,
+               qttools5-dev-tools,
+               shared-mime-info
+XS-Testsuite: autopkgtest
 Standards-Version: 3.9.8
 Homepage: http://www.kdevelop.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-std/kdevelop.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-std/kdevelop.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdevelop
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdevelop
 
 Package: kdevelop
 Architecture: any
 Depends: kdevelop-data (>= ${source:Version}),
+         kinit,
+         plasma-framework,
+         qml-module-qtquick-controls,
+         qml-module-qtquick2,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: g++, gcc, gdb (>= 7.0), kapptemplate, make, kio-extras
+Recommends: g++, gcc, gdb (>= 7.0), kapptemplate, kio-extras, make
 Suggests: cmake, kdevelop-l10n, ninja-build
 Description: integrated development environment for KDE
  KDevelop is an easy to use integrated development environment for KDE.
@@ -66,9 +72,12 @@
 
 Package: kdevelop-data
 Architecture: all
-Depends: ${misc:Depends}
-Breaks: kdevelop-doc (<< 4:4.3)
-Replaces: kdevelop-doc (<< 4:4.3)
+Depends: plasma-framework,
+         qml-module-qtquick-controls,
+         qml-module-qtquick2,
+         ${misc:Depends}
+Breaks: kapptemplate (<<4:15.12.3), kdevelop-doc (<< 4:4.3)
+Replaces: kapptemplate (<<4:15.12.3), kdevelop-doc (<< 4:4.3)
 Description: data files for the KDevelop IDE
  KDevelop is an easy to use integrated development environment for KDE.
  It supports a wide range of programming languages and features project
@@ -83,7 +92,7 @@
 Section: libdevel
 Architecture: any
 Depends: kdevelop (= ${binary:Version}),
-         kdevplatform-dev (>= 5.0.1),
+         kdevplatform-dev (>= 5.0.4),
          ${misc:Depends}
 Description: development files for the KDevelop IDE
  KDevelop is an easy to use integrated development environment for KDE.
@@ -98,8 +107,7 @@
 Package: kdevelop-l10n
 Section: localization
 Architecture: all
-Depends: kdevplatform-l10n,
-         ${misc:Depends}
+Depends: kdevplatform-l10n, ${misc:Depends}
 Replaces: kdevelop-l10n-ca,
           kdevelop-l10n-cavalencia,
           kdevelop-l10n-da,
@@ -146,6 +154,7 @@
         kdevelop-l10n-uk,
         kdevelop-l10n-zhcn,
         kdevelop-l10n-zhtw
+Recommends: kdevplatform-l10n
 Description: localization files for the KDevelop IDE
  KDevelop is an easy to use integrated development environment for KDE.
  It supports a wide range of programming languages and features project
@@ -155,9 +164,7 @@
 
 Package: plasma-kdevelop
 Architecture: linux-any
-Depends: kdevelop (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: kdevelop (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: KDevelop plugins for Plasma
  KDevelop is an easy to use integrated development environment for KDE.
  It supports a wide range of programming languages and features project
